package com.pixelized.desktop.lwa.ui.navigation.screen.destination.gamemaster

import androidx.compose.runtime.Stable
import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavHostController
import androidx.navigation.compose.composable
import com.pixelized.desktop.lwa.ui.screen.admin.action.GMActionPage

@Stable
object GMActionDestination {
    private const val ROUTE = "GameMasterAction"

    fun baseRoute() = ROUTE

    @Stable
    fun navigationRoute() = ROUTE
}

fun NavGraphBuilder.composableGameMasterActionPage() {
    composable(
        route = GMActionDestination.baseRoute(),
    ) {
        GMActionPage()
    }
}

fun NavHostController.navigateToGameMasterActionPage() {
    val route = GMActionDestination.navigationRoute()
    navigate(route = route)
}